environment:
  matrix:
  - nodejs_version: 'Stable'
  - nodejs_version: '8'

init:
  git config --global core.autocrlf true

install:
  # Install the Redis
  - nuget install redis-64 -excludeversion
  - redis-64\tools\redis-server.exe --service-install
  - redis-64\tools\redis-server.exe --service-start
  - '@ECHO Redis Started'
  # Get the required Node version
  - ps: Install-Product node $env:nodejs_version
  - npm install

test_script:
  - node --version
  - npm --version
  - npm run test:win

build: off
clone_depth: 1

matrix:
  fast_finish: true
